public class surfacePlotE3i
{       public static void main(String arg[])
        {  if_xj f=(double x[])->-x[0]*x[1]*Math.exp(-(x[0]+x[1])*(x[0]+x[1]));
           surfacePlot p=new surfacePlot(f,-6.0,6.0,-6.0,6.0,-5.0,5.0,"X","Y","Z",150);
           p.plot();
        }	
}